Summary: Secure Shell - encrypts network communications.
Name: ssh
Version: 2.3.0
Release: 1
Group: Networking/Utilities
Copyright: Non-commercially distributable
URL: http://www.cs.hut.fi/ssh/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.ssh.com/pub/ssh/ssh-%{version}.tar.gz
Source1: sshd2.init
Patch0:  ssh2-chown.patch
Obsoletes: ssh-symlinks
BuildRoot: /var/tmp/%{name}-root

%description
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

This is an all-in-one package that includes both the server and the
clients.


%prep
%setup -q
%patch -p1
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr --with-libwrap --with-x --enable-debug
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -p -m0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/sshd2


%post
/sbin/chkconfig --add sshd2
if [ ! -f /etc/ssh2/hostkey ]; then
	/usr/bin/ssh-keygen2 -P -b 1024 -t dsa -c "1024-bit dsa hostkey" \
	/etc/ssh2/hostkey
fi

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del sshd2
fi


%files
%defattr(-,root,root)
%doc BUG.REPORT CHANGES FAQ INSTALL LICENSE README SSH2.QUICKSTART
%config /etc/rc.d/init.d/sshd2
%dir /etc/ssh2
%config /etc/ssh2/ssh2_config
%config /etc/ssh2/sshd2_config
%config /etc/ssh2/ssh_dummy_shell.out
/usr/bin/*
/usr/sbin/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

